# Android 资源大全中文版

我想很多程序员应该记得 GitHub 上有一个 Awesome – XXX 系列的资源整理。[awesome-android](https://snowdream.github.io/awesome-android/) 是JStumpp 发起维护的 Android 资源列表，内容包括：图表工具、游戏开发、GUI、崩溃检测、调试工具、通知、图片加载、依赖注入等等。

> 普通的 Java 资源，请查看 [https://github.com/jobbole/awesome-java-cn](https://github.com/jobbole/awesome-java-cn) 。

Awesome 系列虽然挺全，但基本只对收录的资源做了极为简要的介绍，如果有更详细的中文介绍，对相应开发者的帮助会更大。这也是我们发起这个开源项目的初衷。

* * *

### 我们要做什么？

- 基于 awesome-android 列表，我们将对其中的各个资源项进行编译整理。此外还将从其他来源补充好资源。
- 整理后的内容，将收录在[伯乐在线资源频道](http://hao.importnew.com/)。可参考已整理的内容：
  - 《[jQWidgets：jQuery HTML5 UI组件框架](http://hao.importnew.com/jqwidgets-jquery-html5-ui/)》
  - 《[Bootstrap：Web前端开发框架](http://hao.importnew.com/bootstrap/)》
  - 《[YUI Compressor：JS/CSS压缩工具](http://hao.importnew.com/yui-compressor/)》

* * *

### 如何参与本项目？

<!-- 从下面的目录来看，本项目的工作量小不了，所以非常期待能有更多程序员一起来参与。

不过加入前，有几个小要求：

* 英文还不错，能读懂英文并用自己的话复述；
* 在做 Android 开发；

如有兴趣，请加 QQ：50872495。加 Q 时请注明「安卓大全」 -->

* * *

### 如何为列表贡献新资源？

欢迎大家为列表贡献高质量的新资源，提交PR时请参照以下要求：

* 请确保推荐的资源自己使用过
* 提交PR时请注明推荐理由

资源列表管理收到PR请求后，会定期（每周）在微博转发本周提交的PR列表，并在微博上面听取使用过这些资源的意见。确认通过后，会加入资源大全。

感谢您的贡献！

* * *

### 本项目的参与者

- 维护者：[tangyouhua](https://github.com/tangyouhua/)
- 贡献者：[zhengjunchenzjc](http://www.importnew.com/members/zhengjunchenzjc)、[沉默水狮](http://www.importnew.com/members/fancylihb)、[Lian Dongyang](https://github.com/luciferldy)、[晓峰残月](http://www.importnew.com/members/wx2657563331/)、[sunbiaobiao](http://hao.importnew.com/activeandroid/)、[邢敏](https://github.com/dfghj44444)、[伯小乐](http://www.importnew.com/members/aoi)、[黄小非](http://hao.importnew.com/author/huangxiaofei/)

注：名单不分排名，不定期补充更新

* * *

<!-- ### 奖励计划

虽然奖励可能并不是你加入的主要原因，但还是有必要提一下：

* 整理超过 20 个资源后，可在伯乐在线上开通打赏；
* 每整理 20 个资源，有机会获得技术书籍或各种有意思的创意、极客产品；
* [奖励详情](http://hao.importnew.com/rewards/)sun

* * * -->
### 目录

*   库
    *   图表
    *   依赖注入
    *   游戏开发
    *   图形界面
        *   ActionBar
        *   导航栏
        *   动画
        *   图片
        *   输入
        *   图片加载
    *   JSON
    *   崩溃检测
    *   网络请求
    *   通知
    *   数据库
        *   ORM
    *   REST
    *   测试
    *   行为监测
    *   集合框架
    *   调试工具
    *   无线
    *   其它
*   资源
    *   更多库的列表
*   非 Java 开发安卓应用的替代选择
    *   C#
    *   HTML, CSS 和 Javascript
    *   Lua
    *   Scala
    *   Groovy
    *   Kotlin
*   性能

## 库

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#charts)图表

*   [AChartEngine](http://hao.importnew.com/achartengine/)：图表引擎。[官网](https://github.com/ddanny/achartengine)
*   EazeGraph：图表绘画库。[官网](https://github.com/blackfizz/EazeGraph)
*   [WilliamChart](http://hao.importnew.com/williamchart/)：优秀的运动能力效果的图表库。[官网](https://github.com/diogobernardino/WilliamChart)
*   [HelloCharts](http://hao.importnew.com/hellocharts/)：支持缩放、滚动和其它动画的图表库。[官网](https://github.com/lecho/hellocharts-android)
*   MPAndroidChart：支持缩放和拖拽手势的Android图表库。[官网](https://github.com/PhilJay/MPAndroidChart)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#dependency-injection)依赖注入

*   RoboGuice：Android依赖注入框架。[官网](https://github.com/roboguice/roboguice)
*   Dagger：Java和Android的依赖注入框架。[官网](https://github.com/square/Dagger)
*   Butter Knife：Android视图注入框架。[官网](http://jakewharton.github.io/butterknife/)
*   AndroidAnnotations：编译时使用Java注解的依赖注入库。[官网](https://github.com/excilys/androidannotations)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#game-development)游戏开发

*   AndEngine：免费、有趣、快速的Android 2D OpenGL引擎。[官网](http://www.andengine.org/)
*   Libgdx：[开源](https://github.com/libGDX/libGDX)和跨平台的游戏引擎和SDK。[官网](https://libgdx.badlogicgames.com/)
*   Vuforia：增强现实（AR）的库。[官网](https://www.qualcomm.com/products/vuforia)
*   Unity：跨平台的游戏制作系统。[官网](http://unity3d.com/unity/multiplatform)
*   Rajawali：Android OpenGL ES 2.0/3.0 引擎。[官网](https://github.com/Rajawali/Rajawali)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#gui)GUI

*   Pull to refresh：support v4中提供的下拉刷新控件。[官网](https://developer.android.com/reference/android/support/v4/widget/SwipeRefreshLayout.html)
*   Cardslib：创建卡式控件的Android库。[官网](https://github.com/gabrielemariotti/cardslib)
*   AndroidStaggeredGrid：支持创建行列数不同的Android窗格视图控件。[官网](https://github.com/etsy/AndroidStaggeredGrid)
*   AQuery：AndroidQuery (AQuery) 是一个轻量级的库，用于在Android中执行异步操作视图元素。[官网](https://code.google.com/p/android-query/)
*   Flow：Flow – 是一个将app分成一系列独立的 Screen 组合的库[官网](https://github.com/square/flow)
*   Crouton：一个对上下文非常敏感的 android 通知库。[官网](https://github.com/keyboardsurfer/Crouton) 
*   DragSortListView：Android的ListView的扩展，允许拖拽和重新排序（不再更新维护）。[官网](https://github.com/bauerca/drag-sort-listview)
*   [MaterialProgressBar](http://hao.importnew.com/materialprogressbar/)：和Material design效果外观一致的进度条。[官网](https://github.com/DreaminginCodeZH/MaterialProgressBar)
*   AndroidFillableLoaders：使用SVG路径实现的填充效果的进度条。对于创建有趣的应用logo也是一个很棒的有趣的选择。[官网](https://github.com/JorgeCastilloPrz/AndroidFillableLoaders)
*   NexusDialog：在Android中用少量代码简单快速地创建表格。[官网](https://github.com/dkharrat/NexusDialog)
*   Snap RecyclerView Utils：无需创建Adapter生成一个或多个RecyclerView的布局。[官网](https://prashantsolanki3.github.io/Snap-RecyclerView-Utils/)
*   SwipeableCard：像 StreetView 一样的实现滑动卡片的库。[官网](https://github.com/michelelacorte/SwipeableCard)
*   [Android Button Maker](http://hao.importnew.com/android-button-maker/)：在线生成按钮代码的工具。[官网](http://angrytools.com/android/button/)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#actionbar)ActionBar

*   ActionBarSherlock：支持Android旧版本的ActionBar。[官网](http://actionbarsherlock.com/)
*   FadingActionBar：渐变效果的ActionBar，你可以在新版PlayMusic应用中看到这个效果。[官网](https://github.com/ManuelPeinado/FadingActionBar)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#navigation)导航

*   SlidingMenu：为应用创建滑动菜单的库。[官网](https://github.com/jfeinstein10/SlidingMenu)
*   SlidingTutorial：简单的库和教程，帮助创建炫酷的滑动效果Android应用。[官网](https://github.com/Cleveroad/slidingtutorial-android)
*   PagerSlidingTabStrip：一个在 ViewPager 的不同页面之间导航时有交互指示效果的库。[官网](https://github.com/astuetz/PagerSlidingTabStrip)
*   Page View indicator：水平滑动的ViewPager的支持库。[官网](https://github.com/JakeWharton/ViewPagerIndicator)
*   MaterialDrawer：轻松实现MaterialDesign效果的抽屉导航。[官网](https://github.com/mikepenz/MaterialDrawer)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#animations)动画

*   NineOldAndroids：可以将HoneyComb（3.0 API 11）版本的动画效果兼容至1.0起所有版本的库。[官网](https://github.com/JakeWharton/NineOldAndroids)
*   Rebound：Rebound是一个弹簧动态模型的Java库。[官网](https://github.com/facebook/rebound)
*   Android View Animations：有趣的View动画合集。[官网](https://github.com/daimajia/AndroidViewAnimations)
*   Android-Transition：轻松创建用户输入反馈的视图转变效果。[官网](https://github.com/kaichunlin/android-transition)
*   Android-View-Actions：轻松写出复杂的view动画效果。[官网](https://github.com/dtx12/AndroidAnimationsActions)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#images)图片

*   [android-crop](http://hao.importnew.com/android-crop/)：图片剪裁的库。[官网](https://github.com/jdamcd/android-crop)
*   CircularImageView：自定义View，高性能地绘制圆形图片。[官网](https://github.com/Pkmmte/CircularImageView)
*   Android-Image-Filter：轻松实现图像滤镜的库。[官网](https://github.com/ragnraok/android-image-filter)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#inputs)输入

*   FloatingLabel：FloatingLabel 允许你创建一堆EditText。 无需使用Gradle或者MAVEN构建。[官网](https://github.com/hardik-trivedi/FloatingLabel)
*   MaterialEditText：支持使用自定义颜色的浮动标签（Floating Labels）、单行超出文本省略（Single Line Ellipsis）、最大最小字数（Max/Min Characters）、帮助文本（Helper Text）和错误提示（Error Text）。[官网](https://github.com/rengwuxian/MaterialEditText)
*   Emojicon：给你的应用添加表情符号。[官网](https://github.com/rockerhieu/emojicon)
*   GridPasswrodView：仿支付宝，微信支付密码输入框。[官网](https://github.com/Jungerr/GridPasswordView)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#loading-images)图片加载

*   Picasso：Android中强大的图片下载和缓存的库。[官网](https://github.com/square/picasso)
*   Universal Image Loader：非常好的异步、图片下载和缓存的库。[官网](https://github.com/nostra13/Android-Universal-Image-Loader)
*   Glide：谷歌提供的滑动流畅的安卓图片加载和缓存库。[官网](https://github.com/bumptech/glide)
*   Fresco：管理图片及其内存使用的库。[官网](https://github.com/facebook/fresco)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#json)JSON

*   Gson：GSON是一个用于序列化和反序列化JSON的Java库。[官网](https://github.com/google/gson)
*   Jackson JSON Processor：高性能地JSON处理工具。[官网](https://github.com/FasterXML/jackson)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#crash-monitoring)崩溃检测

*   Fabric Crashlytics：简单的崩溃上报解决方案。[官网](https://get.fabric.io/)
*   HockeyApp：分发、崩溃上报、反馈和分析。[官网](http://hockeyapp.net/)
*   Splunk MINT：监测、崩溃上报、实时数据和统计。[官网](https://mint.splunk.com/)
*   Bugsnag：跨平台的错误监测。[官网](https://bugsnag.com/)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#networking)网络

*   Ion：Android的一个不错的网络库。[官网](https://github.com/koush/ion)
*   OkHttp：Android和Java使用的Http + SPDY协议的网络库。[官网](https://github.com/square/okhttp)
*   Asynchronous Http Client：异步的Http库。[官网](https://github.com/loopj/android-async-http)
*   RoboSpice：轻松编写异步网络请求的库。[官网](https://github.com/stephanenicolas/robospice)
*   IceNet：Android简单、快速的网络库。[官网](https://github.com/anton46/IceNet)
*   Android Volley：官方提供的让网络请求更快、更简单的Http库。[官网](http://developer.android.com/training/volley/index.html) 
*   IceSoap：为Android设计的简单、异步，基于注解的SOAP协议的库。[官网](https://github.com/AlexGilleran/IceSoap)
*   node-android：在Android上运行Node.js。[官网](https://github.com/InstantWebP2P/node-android)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#notifications)通知

*   [android-remote-notifications](http://hao.importnew.com/android-remote-notifications/)：从远程JSON文件拉取通知显示在你的应用中。[官网](https://github.com/kaiwinter/android-remote-notifications)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#database)数据库

*   Cupboard：直接使用数据库或者ContentProvider轻松访问SQLite的框架。[官网](https://bitbucket.org/qbusict/cupboard)
*   DbInspector：调试时在手机上轻松查看应用数据库。[官网](https://github.com/infinum/android_dbinspector)
*   Realm：SQLite和ORM类框架的替代选择。简单、快速和现代化。使用面向对象的API并提供多平台支持。[官网](https://github.com/realm/realm-java)
*   RestorableSQLiteDatabase：通过复制 SQLite 数据库对其进行封装，并提供了恢复功能。[官网](https://github.com/yaa110/RestorableSQLiteDatabase)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#orm)ORM

*   GreeDAO：小巧快速的ORM解决方案。[官网](http://greendao-orm.com/)
*   ORMLite：为JDBC和Android提供的轻量级的对象关系映射的包。[官网](http://ormlite.com/sqlite_java_android_orm.shtml)
*   [ActiveAndroid](http://hao.importnew.com/activeandroid/)：活动记录（Active record）风格的ORM框架。[官网](http://www.activeandroid.com/)
*   Sugar ORM：超简单地使用Android数据库。[官网](http://satyan.github.io/sugar/)
*   DBFlow：快速强大的ORM框架，编译时处理注解。[官网](https://github.com/Raizlabs/DBFlow)
*   NexusData：Android上的对象图（Object graph）和持久化框架。[官网](https://github.com/dkharrat/NexusData)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#rest)REST

*   Retrofit：Restrofit将REST的API转换成Java接口。[官网](http://square.github.io/retrofit/)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#testing)测试

*   Robotium：黑盒的UI自动化测试框架。[官网](https://github.com/robotiumtech/robotium)
*   Roboletric：单元测试框架，在你的工作机器上的Java虚拟机中运行测试，而不是在模拟器中。[官网](http://robolectric.org/)
*   AssertJ Android：适用于Android的AssertJ。[官网](https://github.com/square/assertj-android)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#tracking)跟踪

*   MobileAppTracking：通过多种广告网络追踪你的市场广告情况。[官网](http://www.tune.com/)
*   Mixpanel：根据平台分析用户。[官网](https://mixpanel.com/)
*   Countly：开源的手机和Web分析工具，推送消息、崩溃上报，基于Node.js、MongoDB和Linux实现。[官网](https://count.ly/) 

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#utility)框架

*   EventBus：EventBus是一个简化的应用间通信的库。[官网](http://greenrobot.github.io/EventBus/)
*   Otto：Android的一种EventBus的实现。[官网](https://github.com/square/otto)
*   Weak handler：内存使用更加安全的Handler实现。[官网](https://github.com/badoo/android-weak-handler)
*   Byte Buddy：运行时生成代码的库，支持Android。[官网](http://bytebuddy.net/)
*   Secure Preference Manager：Android的Secure Preference Manager用不同的加密方式保护应用SharedPreference的安全。[官网](https://prashantsolanki3.github.io/Secure-Pref-Manager/)
*   LeakCanary：捕获内存泄漏的工具。[官网](https://github.com/square/leakcanary)
*   Drekkar：用于 WebView 和 嵌入式 JS 之间通信的的 EventBus 框架。[官网](https://github.com/coshx/drekkar)
*   Androl4b：基于 ubuntu-Mate 的安卓安全虚拟机。[官网](https://github.com/sh4hin/Androl4b)
*   DroidMVP：一个小型安卓库，用于合并 MVP 、Passive View 和 Presentation Model。[官网](https://github.com/andrzejchm/DroidMVP)
*   Gota：简化安卓权限。[官网](https://github.com/alhazmy13/Gota)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#debugging-tools)调试工具

*   Linx：应用的调制版本中可以在手机上显示logcat信息。[官网](https://github.com/pedrovgs/Lynx)
*   Scalpel：在手机上查看3D效果的视图层次。[官网](https://github.com/JakeWharton/scalpel)
*   Stetho：使用Chrome调试视图层次和网络。[官网](https://github.com/facebook/stetho)
*   Emmagee：网易开源的一款 Android 性能测试工具，可以测试 CPU，内存占用率，流量，启动时间，电量等。[官网](https://github.com/NetEase/Emmagee)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#wireless)无线

*   SmartGattLib：简化与蓝牙智能设备相关的工作（也就是我们所熟知的蓝牙4.0低功耗）。[官网](https://github.com/movisens/SmartGattLib)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#other)其他

*   Android Support library：Android支持库（Android Support Library）的包是一些库的集合，为Android提供向下的兼容的API。[官网](http://developer.android.com/tools/support-library/index.html)
*   Google Play Services：这个库可以让你使用谷歌的各种服务，诸如账户同步、Google+（分享和单用户登录）、谷歌地图、位置信息的API、Play游戏、谷歌云消息、Android设备管理器等等。[官网](https://developers.google.com/android/guides/overview)
*   Tape：一个轻量级的、快速的、事务性的，基于文件的先入先出的Android和Java框架。[官网](https://github.com/square/tape)
*   Guava Google Core Libraries for Java：集合（collections）、缓存、原语支持（primitives support）、并发库、通用注解、字符串处理、输入输出等等。[官网](https://github.com/google/guava)
*   Android Scripting：让Android能够运行脚本语言。[官网](https://github.com/damonkohler/sl4a)
*   Android Priority Job Queue：Job Queue的一种实现方式，轻松计划后台运行的任务，提高用户体验（UX）和稳定性。[官网](https://github.com/path/android-priority-jobqueue)
*   RateMeMaybe：询问用户是否愿意在PlayStore中为您的应用打分。[官网](https://github.com/Kopfgeldjaeger/RateMeMaybe)
*   Easy Rating Dialog：这个库为评分应用提供了一个简单的方式来展示提示框。[官网](https://github.com/fernandodev/easy-rating-dialog)
*   ZXing Android-Integration：整合通过网络使用条形扫描器（BarCode Scanner）。[官网](https://github.com/zxing/zxing)
*   Gradle Retrolambda Plugin：在Android中使用Java 8的Lambdas表达式。[官网](https://github.com/evant/gradle-retrolambda)
*   Caffeine：通用框架类的合集，让Android开发更快捷。[官网](https://github.com/percolate/caffeine)
*   [RoboBinding](http://hao.importnew.com/robobinding/)：一个实现了数据绑定 Presentation Model(MVVM) 模式的Android开源框架。[官网](http://robobinding.github.io/RoboBinding/)、[GitHub](https://github.com/RoboBinding/RoboBinding)
*   [xUtils](http://hao.importnew.com/xutils/)：丰富实用的Android工具库。[官网](https://github.com/wyouflf/xUtils)
*   [Open Science Map](http://hao.importnew.com/open-science-map/)：开源Android地图项目。[官网](http://hao.importnew.com/open-science-map/)

## [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#development-alternatives)非Java开发安卓应用

我个人的推荐是（现在）使用Android的API开发原生的应用。Scala可以让你用更清晰的代码开发原生应用。但是也有几种替代方案，在诸如跨平台开发时非常有用。

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#c)C#

*   Xamarin：使用C#开发原生的IOS、Android、Mac和Windows应用的框架。[官网](http://xamarin.com/)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#html-css-and-javascript)HTML、CSS与Javascript

*   PhoneGap：Adobe提供的开源框架，用于使用HTML、CSS和JavaScript开发跨平台的手机应用。[官网](http://phonegap.com/)
*   Titanium：使用JavaScript开发跨平台的本地应用的开源框架。[官网](http://www.appcelerator.com/product/)
*   NativeScript：一个书体部分JavaScript开发本地（native）IOS和Android应用的开源框架。[官网](https://www.nativescript.org/)
*   React Native：Facebook提供的使用React开发本地应用的框架。[官网](https://github.com/facebook/react-native)
*   Ionic Framework：使用针对移动设备优化的HTML、CSS和JS的AngularJS框架来开发混合模式移动应用（hybird app）。[官网](http://ionicframework.com/)
*   [Apache Cordova](http://hao.importnew.com/cordova/)：基于Cordova的应用，核心是使用HTML、CSS和JavaScript这些Web技术开发应用。[官网](https://github.com/apache/cordova-android)
*   Reapp.io：基于Cordova，使用针对移动设备优化HTML、CSS、JSS的ReactJS开发混合模式应用（hybrid app）的框架。[官网](http://reapp.io/)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#lua)Lua

*   Corona SDK：开发原生IOS和Android应用的框架（尤其是游戏）。[官网](https://coronalabs.com/products/corona-sdk/)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#scala)Scala

*   Scala on Android：Scala on Android 的官网介绍。[官网](http://macroid.github.io/ScalaOnAndroid.html)
*   Scaloid：为Android开发者减轻使用Scala开发负担的库。[官网](https://github.com/pocorall/scaloid)
*   Macroid：一个Android平台功能模块化UI开发的库。[官网](https://github.com/47deg/macroid)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#groovy)Groovy

*   Groovy on Android：Groovy on Android 的官网介绍。[官网](http://melix.github.io/blog/2014/06/grooid.html)
*   Groovy Language Support for Android：在Android上编译Groovy的Gradle插件。[官网](https://github.com/groovy/groovy-android-gradle-plugin)
*   SwissKnife：一个多功能的Groovy库，包括使用注解实现Android的视图注入和线程。[官网](https://github.com/Arasthel/SwissKnife)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#kotlin)Kotlin

*   Anko：JetBrains提供的，使用Kotlin编写的Android平台的DSL工具。[官网](https://github.com/Kotlin/anko)
*   Kotterknife：在ButterKnife基础上，使用Kotlin写成的Android视图注入工具。[官网](https://github.com/JakeWharton/kotterknife)
*   Android Kotlin Samples：用Kotlin写成的简单Android代码Sample。[官网](https://github.com/irontec/android-kotlin-samples)
*   KAndroid：轻量级的库，提供有用的扩展功能来删除Android SDK的样板代码（boilerplate code）。[官网](https://github.com/pawegio/KAndroid)

### Python

*   [python-for-android](http://hao.importnew.com/python-for-android/)：把你的Python 应用变为Android 应用。[官网](https://python-for-android.readthedocs.io/en/latest/)、[GitHub](https://github.com/kivy/python-for-android/)

### [](https://github.com/JStumpp/awesome-android/blob/master/readme.md#performance)性能

*   awesome-android-performance：一个性能优化相关的Android教程、视频和工具列表。[官网](https://github.com/Juude/awesome-android-performance)


<h1 id="resources">资源</h1>

### 资源

*   Vogella Tutorials：非常好的教程，由Lars Vogel编写。[官网](http://www.vogella.com/tutorials/android.html)
*   Android Design in Action Video series[官网](https://www.youtube.com/playlist?list=PLWz5rJ2EKKc8j2B95zGMb8muZvrIy-wcF) 这个系列教程由Google Android Desgin团队提供。
*   Android Design in Action slides[官网](https://play.google.com/store/apps/details?id=com.astuetz.android.adia&feature=md)- 这个应用通过一系列视频让你实现幻灯片中所述的效果。
*   Android DevBytes Video Series：Android Design实战系列对应的技术部分。[官网](https://www.youtube.com/playlist?list=PLWz5rJ2EKKc_XOgcRukSoKKjewFJZrKV0)
*   Developing for Android：这个系列的文章是[Chet Hasae](https://plus.google.com/+ChetHaase/posts/5grfChTEvQ9) 和其他一些在谷歌工作的员工合写的，主要回答一些最常见的问题，诸如“在开发Android应用中有哪些需要牢记在心的准则。”[官网](https://medium.com/google-developers/developing-for-android-introduction-5345b451567c)
*   Android Hive Tutorials：适用于初学者的非常好的教程。[官网](http://www.androidhive.info/)
*   Android Weekly：Android开发周报。[官网](http://androidweekly.net/)
*   Android Asset Studio：图表和其它资源生成器。[官网](http://romannurik.github.io/AndroidAssetStudio/)
*   Android Action Bar Style Generator[官网](http://jgilfelt.github.io/android-actionbarstylegenerator/).
*   Device Art Generator：生成应用在真机截图的原图。[官网](http://developer.android.com/distribute/tools/promote/device-art.html)
*   Android UI design resources：给你提供丰富的设计资源，由谷歌UI和UX领域的专家提供。[官网](http://androiduiux.com/free-design-resources/)
*   Pencil Project：一款开源的原型设计软件。[官网](http://pencil.evolus.vn/)
*   Google Wear App：开源的Google穿戴应用，使用语音识别进行费用计算。[官网](https://github.com/mbcrump/FirstGoogleWearableApp)
*   How to Make Android Apps：Derek Banas提供的视频教程。[官网](https://www.youtube.com/playlist?list=PLGLfVvz_LVvSPjWpLPFEfOCbezi6vATIh)
*   android-blogs：Android博客列表。[官网](https://github.com/vbauer/android-blogs)

<h3 id="influential-books">有影响力的书</h3>
*具有广泛影响且值得阅读的安卓经典书籍。*

待补充

<h3 id="websites">知名网站</h3>
*值得关注的前端技术站点。*

<h4>中文站点</h4>

* 伯乐在线安卓频道：伯乐安卓分享Android开发文章，精选工具和安卓相关的行业动态。[官网](http://android.importnew.com/)

<h4>英文站点</h4>

待补充

<h3 id="weibo-weixin">微博、微信公众号</h3>
* 安卓开发频道 微博：[@安卓开发频道](http://weibo.com/5038680568)
* 「安卓开发精选」专注分享安卓应用相关内容，包括：安卓App开发、设计、推广和行业资讯。
<br><img src="http://ww4.sinaimg.cn/small/63918611gw1epb2c49yeej2046046wek.jpg" width=150 height=150>
